using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_PageSystem_Select_Column : System.Web.UI.Page
{
    private 访问 访问;
    protected String 加载字符串;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("选择栏目", "网站后台", "移动栏目", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        DataSet 数据 = (DataSet)Application["UUN_UUN3G_NeiRongLanMu"];

        生成栏目(数据, "文章",0,1);
        生成栏目(数据, "图片", 0, 1);
        生成栏目(数据, "软件", 0, 1);
        生成栏目(数据, "音乐", 0, 1);
        生成栏目(数据, "视频", 0, 1);

        if (this.IsPostBack)
            加载字符串 = "opener.SheZhiLanMu('"+Request.QueryString["type"]+"','" + FuLanMu.SelectedValue + "','" +
                常用.获取栏目名称(Convert.ToInt32(FuLanMu.SelectedValue)).Replace("'", "\\'") +
                "');window.close();";
    }

    private void 生成栏目(DataSet 数据,String 栏目类型,int 父栏目,int 深度)
    {
        if (父栏目 == 0)
            FuLanMu.Items.Add(new ListItem(栏目类型 + "栏目", "0"));
        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            if (Convert.ToInt32(行["所属栏目"]) == 父栏目&&行["栏目类型"].ToString()==栏目类型)
            {
                ListItem 列表项 = new ListItem(生成空格(深度) + Convert.ToString(行["栏目名称"]), Convert.ToString(行["ID"]));
                列表项.Attributes["style"] = Convert.ToBoolean(行["是否拥有子栏目"]) ? "" : "background:#eeeeee";
                FuLanMu.Items.Add(列表项);
                生成栏目(数据, 栏目类型, Convert.ToInt32(行["ID"]), 深度 + 1);
            }
        }
    }

    private String 生成空格(int 数量)
    {
        String 返回值 = "";
        for (int i = 0; i < 数量; i++)
            返回值 += "　";
        return 返回值 + "|-";
    }
}
